
 /**
 * <p>
 *   The classes in this package are used for development of accessibility service that
 *   provide alternative or augmented feedback to the user.
 * </p>
 * <p>
 *   An {@link android.accessibilityservice.AccessibilityService} runs in the background and
 *   receives callbacks by the system when {@link android.view.accessibility.AccessibilityEvent}s
 *   are fired. Such events denote some state transition in the user interface, for example, the
 *   focus has changed, a button has been clicked, etc. Such a service can optionally request the
 *   capability for querying the content of the active window. Development of an accessibility
 *   service requires extends this class and implements its abstract methods.
 * </p>
 * <p>
 *   An {@link android.accessibilityservice.AccessibilityServiceInfo} describes an
 *   {@link android.accessibilityservice.AccessibilityService}. The system notifies an
 *   AccessibilityService for {@link android.view.accessibility.AccessibilityEvent}s
 *   according to the information encapsulated in this class.
 * </p>
 @apiSince 4
 */

package android.accessibilityservice;
