
 /**
 * Provides classes that manage various media interfaces in audio and video.
 * <p>The Media APIs are used to play and, in some cases, record media files. This includes
 * audio (e.g., play MP3s or other music files, ringtones, game sound effects, or DTMF tones)
 * and video (e.g., play a video streamed over the web or from local storage).
 * </p>
 * <p>Other special classes in the package offer the ability to detect the faces of people
 * in Bitmaps ({@link android.media.FaceDetector}), control audio routing (to the device or a headset)
 * and control alerts such as ringtones and phone vibrations ({@link android.media.AudioManager}).
 * </p>
 @apiSince 1
 */

package android.media;
