/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.security.keystore;


/**
 * Indicates that an operation could not be performed because the requested security hardware
 * is not available.
 * @apiSince 28
 */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class StrongBoxUnavailableException extends java.security.ProviderException {

/** @apiSince 28 */

public StrongBoxUnavailableException() { throw new RuntimeException("Stub!"); }

/** @apiSince 28 */

public StrongBoxUnavailableException(java.lang.String message) { throw new RuntimeException("Stub!"); }

/** @apiSince 28 */

public StrongBoxUnavailableException(java.lang.String message, java.lang.Throwable cause) { throw new RuntimeException("Stub!"); }

/** @apiSince 28 */

public StrongBoxUnavailableException(java.lang.Throwable cause) { throw new RuntimeException("Stub!"); }
}

